Log Analytics - Export Request Rate By Interval
Export logs that show Api requests made by this subscription in the given time window to show throttling activities.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/logAnalytics/apiAccess/getRequestRateByInterval?api-version=2026-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string minLength: 1 |
The name of Azure region. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| blobContainerSasUri | True |
string |
SAS Uri of the logging blob container to which LogAnalytics Api writes output logs to. |
| fromTime | True |
string (date-time) |
From time of the query |
| intervalLength | True |
Interval value in minutes used to create LogAnalytics call rate logs. |
|
| toTime | True |
string (date-time) |
To time of the query |
| groupByClientApplicationId |
boolean |
Group query result by Client Application ID. |
|
| groupByOperationName |
boolean |
Group query result by Operation Name. |
|
| groupByResourceName |
boolean |
Group query result by Resource Name. |
|
| groupByThrottlePolicy |
boolean |
Group query result by Throttle Policy applied. |
|
| groupByUserAgent |
boolean |
Group query result by User Agent. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Export logs which contain all Api requests made to Compute Resource Provider within the given time period broken down by intervals.
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/westus/logAnalytics/apiAccess/getRequestRateByInterval?api-version=2026-03-01
{
"intervalLength": "FiveMins",
"blobContainerSasUri": "https://somesasuri",
"fromTime": "2018-01-21T01:54:06.862601Z",
"toTime": "2018-01-23T01:54:06.862601Z",
"groupByResourceName": true
}
Sample response
{
"properties": {
"output": "https://crptestar4227.blob.core.windows.net:443/sascontainer/RequestRateByInterval_20180121-0154_20180123-0154.csv"
}
}
Location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/westus/operations/{operationId}&monitor=true&api-version=2025-04-01
Definitions
| Name | Description |
|---|---|
|
Api |
Api error. |
|
Api |
Api error base. |
|
Cloud |
An error response from the Compute service. |
|
Inner |
Inner error details. |
|
Interval |
Interval value in minutes used to create LogAnalytics call rate logs. |
|
Log |
LogAnalytics operation status response |
|
Log |
LogAnalytics output properties |
|
Request |
Api request input for LogAnalytics getRequestRateByInterval Api. |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |
IntervalInMins
Interval value in minutes used to create LogAnalytics call rate logs.
| Value | Description |
|---|---|
| ThreeMins | |
| FiveMins | |
| ThirtyMins | |
| SixtyMins |
LogAnalyticsOperationResult
LogAnalytics operation status response
| Name | Type | Description |
|---|---|---|
| properties |
LogAnalyticsOutput |
LogAnalyticsOutput
LogAnalytics output properties
| Name | Type | Description |
|---|---|---|
| output |
string |
Output file Uri path to blob container. |
RequestRateByIntervalInput
Api request input for LogAnalytics getRequestRateByInterval Api.
| Name | Type | Description |
|---|---|---|
| blobContainerSasUri |
string |
SAS Uri of the logging blob container to which LogAnalytics Api writes output logs to. |
| fromTime |
string (date-time) |
From time of the query |
| groupByClientApplicationId |
boolean |
Group query result by Client Application ID. |
| groupByOperationName |
boolean |
Group query result by Operation Name. |
| groupByResourceName |
boolean |
Group query result by Resource Name. |
| groupByThrottlePolicy |
boolean |
Group query result by Throttle Policy applied. |
| groupByUserAgent |
boolean |
Group query result by User Agent. |
| intervalLength |
Interval value in minutes used to create LogAnalytics call rate logs. |
|
| toTime |
string (date-time) |
To time of the query |